List Thread files
Lists files attached to the Thread, including caller attachments and Agent artifacts.
/threads/{threadId}/filesLists files attached to the Thread, including caller attachments and Agent artifacts.
Authorization
publicApiBearer Use Authorization: Bearer mst_... . API tokens identify an account and do not carry scopes.
In: header
Path Parameters
Thread ID returned by create thread. v1 IDs are bare ULIDs.
^[0-7][0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{25}$ulidResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/threads/01J00000000000000000000009/files"{ "files": [ { "committed": true, "createdAt": "2026-05-19T00:02:00.000Z", "id": "01J0000000000000000000000J", "kind": "attachment", "mimeType": "text/plain", "name": "brief.txt", "size": 19 } ]}{ "error": { "code": "agent_not_published", "message": "string" }}{ "error": { "code": "agent_not_published", "message": "string" }}{ "error": { "code": "agent_not_published", "message": "string" }}{ "error": { "code": "agent_not_published", "message": "string" }}{ "error": { "code": "agent_not_published", "message": "string" }}{ "error": { "code": "agent_not_published", "message": "string" }}{ "error": { "code": "agent_not_published", "message": "string" }}Retrieve file metadata
Returns public file metadata for a pre-Thread uploaded file or a file attached to a public Thread visible to the API token caller.
Download Thread file content
Downloads bytes for a ready Thread attachment or Agent artifact. The file must belong to a public Thread visible to the API token caller.